• Upgrade Your Account
    Hello Guest ! Upgrade your account to download from our sections Here.
    How to upgrade your account to download resources Learn More.
    Guest need to see List rather permanently banned Members Learn More.
    Guest need to read through our rules and regulations Learn More.

News XenForo 2.1.0 Beta 3 and Beta 4 Released (Unsupported)

Status
Not open for further replies.

NullXF

Team NullXF
XF Root
Messages
9,675
Resources
3,391
Likes
3,813
#1
Today, we continue the beta stage of XenForo 2.1 with Beta 3. This release fixes a number of bugs found since the previous releases.

This release also includes the same XSS security fix included in 2.0.11. It also addresses a separate 2.1-specific XSS issue that was reported to us by @batpool52!

We strongly recommend anyone testing 2.1 during this beta period upgrade as each beta version is released.

More specific details regarding bugs fixed in this release can be found in the resolved bugs forum.

This is beta software. It is not officially supported. We do not recommend running it in production.

Please remember that this is beta software. It contains known bugs and incomplete functionality. We do not recommend running beta software in a production environment, and support is limited at this time to questions here on the community forums.

XenForo 2.1 is a significant upgrade. Add-ons and custom styles may be broken after upgrading to 2.1. You must test your add-ons thoroughly or look for updates. Be especially careful with add-ons that cover similar features to ones that are added to 2.1; these may conflict with the core XenForo data. If data conflicts are found, they will need to be resolved in a new add-on release or by removing the add-on before upgrading to 2.1.

If you choose to run beta software, it is your responsibility to ensure that you make a backup of your data. We recommend you do this before attempting an upgrade. If in doubt, always do a test upgrade on a copy of your production data.

All customers with active licenses may now download the new version from the customer area.

Download XenForo 2.1.0 Beta 4 - Nulled By Team NullXF

Current requirements

The following are minimum requirements:
  • PHP 5.6 or newer (PHP 7.2 recommended)
  • MySQL 5.5 and newer (MySQL 5.7/8.0 or equivalent recommended)
  • All of the official add-ons require XenForo 2.1.
  • Enhanced Search requires at least Elasticsearch 2.0.
Installation and upgrade instructions

If you are already running XenForo 2.1.0, you will be pleased to know that you can easily upgrade to this version using the new One-click upgradessystem. If you would like to do this, remember to uncheck the "Only check for stable upgrades" option in Options > Basic board information.

Otherwise, full details for how to install and upgrade XenForo can be found in the XenForo manual.

Note that the official add-ons must be upgraded after upgrading to XenForo 2.1.

Please remember that this is beta/preview software. It contains known bugs and incomplete functionality. We do not recommend or support running beta software in a production environment. Support for beta releases is limited to questions here on the community forums.
 

NullXF

Team NullXF
XF Root
Messages
9,675
Resources
3,391
Likes
3,813
#2
We have also released XenForo 2.1.0 Beta 4 today!

The short amount of time between updates is due to a pesky bug which slipped into Beta 3 which affected new installs only:


Confirmed - New Installation Problem (2.1.0 Beta 3)
TypeError: Argument 1 passed to XF\Str\Formatter::setCensorRules() must be of the type array, null given, called in /var/www/public/src/XF/App.php on line 1339 in src/XF/Str/Formatter.php at line 60 XF\Str\Formatter->setCensorRules() in src/XF/App.php at line 1339 XF\App->XF\{closure}() in...
xenforo.com

Although this will primarily fix a bug which prevents new installs, there are a few other changes too and with one-click upgrades being so effortless, why not?
 
Status
Not open for further replies.